Package org.eclipse.m2m.atl.engine.vm.nativelib

# Class ASMOclSimpleType

java.lang.Object
org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject
org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclAny
org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclType
org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclSimpleType

public class ASMOclSimpleType extends ASMOclType
An OclType for simple types.

## Field Summary

### Fields inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclType

`myType`

### Fields inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject

`nativeImpl`

## Constructor Summary

Constructors
Constructor
Description
`ASMOclSimpleType()`
`ASMOclSimpleType(String name)`
`ASMOclSimpleType(String name, ASMOclType supertype)`

## Method Summary

Modifier and Type
Method
Description
`ASMBoolean`
`conformsTo(ASMOclType other)`
`boolean`
`equals(Object other)`
`String`
`getName()`
`int`
`hashCode()`
`void`
`setName(String name)`
`static void`
`setName(StackFrame frame, ASMOclSimpleType self, ASMString name)`
`String`
`toString()`

### Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclType

`addSupertype, conformsTo, get, getName, getSupertypes, getVMOperations, registerHelperAttribute, registerVMOperation, registerWeavingHelper`

### Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclAny

`asBag, asSequence, asSet, check, debug, findOperation, findOperation, getHelper, getNamedTargetFromSource, getOclAnyType, getType, invoke, invoke, invokeSuper, isHelper, oclIsKindOf, oclIsTypeOf, oclIsUndefined, oclType, operatorEQ, operatorNE, output, refGetValue, refImmediateComposite, refImmediateComposite, refInvokeOperation, refSetValue, refUnsetValue, set, setType, toString, unset`

### Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject

`getNativeImpl`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ASMOclSimpleType

public ASMOclSimpleType()

### ASMOclSimpleType

public ASMOclSimpleType(String name)

### ASMOclSimpleType

public ASMOclSimpleType(String name, ASMOclType supertype)

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getName

public String getName()

Specified by:
  `getName` in class `ASMOclType`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object other)

Overrides:
  `equals` in class `Object`

### conformsTo

public ASMBoolean conformsTo(ASMOclType other)

Specified by:
  `conformsTo` in class `ASMOclType`

### setName

public void setName(String name)

### setName

public static void setName(StackFrame frame, ASMOclSimpleType self, ASMString name)